/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { ComputeManagementClient } from "@azure/arm-compute";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Deletes role instances in a cloud service.
 *
 * @summary Deletes role instances in a cloud service.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/stable/2021-03-01/examples/DeleteCloudServiceRoleInstances.json
 */
function deleteCloudServiceRoleInstances() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const resourceGroupName = "ConstosoRG";
        const cloudServiceName = "{cs-name}";
        const parameters = {
            roleInstances: ["ContosoFrontend_IN_0", "ContosoBackend_IN_1"]
        };
        const options = { parameters };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.cloudServices.beginDeleteInstancesAndWait(resourceGroupName, cloudServiceName, options);
        console.log(result);
    });
}
deleteCloudServiceRoleInstances().catch(console.error);
//# sourceMappingURL=cloudServicesDeleteInstancesSample.js.map