/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
/**
 * This sample demonstrates how to Creates or updates a snapshot.
 *
 * @summary Creates or updates a snapshot.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/stable/2021-08-01/examples/CreateASnapshotByImportingAnUnmanagedBlobFromTheSameSubscription.json
 */
import { ComputeManagementClient } from "@azure/arm-compute";
import { DefaultAzureCredential } from "@azure/identity";
function createASnapshotByImportingAnUnmanagedBlobFromTheSameSubscription() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const resourceGroupName = "myResourceGroup";
        const snapshotName = "mySnapshot1";
        const snapshot = {
            creationData: {
                createOption: "Import",
                sourceUri: "https://mystorageaccount.blob.core.windows.net/osimages/osimage.vhd"
            },
            location: "West US"
        };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.snapshots.beginCreateOrUpdateAndWait(resourceGroupName, snapshotName, snapshot);
        console.log(result);
    });
}
createASnapshotByImportingAnUnmanagedBlobFromTheSameSubscription().catch(console.error);
//# sourceMappingURL=createASnapshotByImportingAnUnmanagedBlobFromTheSameSubscription.js.map