/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
/**
 * This sample demonstrates how to The operation to create or update a virtual machine. Please note some properties can be set only during virtual machine creation.
 *
 * @summary The operation to create or update a virtual machine. Please note some properties can be set only during virtual machine creation.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/stable/2021-11-01/examples/compute/CreateAVmWithSecurityTypeConfidentialVM.json
 */
import { ComputeManagementClient } from "@azure/arm-compute";
import { DefaultAzureCredential } from "@azure/identity";
function createAVMWithSecurityTypeConfidentialVMWithPlatformManagedKeys() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const resourceGroupName = "myResourceGroup";
        const vmName = "myVM";
        const parameters = {
            hardwareProfile: { vmSize: "Standard_DC2as_v5" },
            location: "westus",
            networkProfile: {
                networkInterfaces: [
                    {
                        id: "/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Network/networkInterfaces/{existing-nic-name}",
                        primary: true
                    }
                ]
            },
            osProfile: {
                adminPassword: "{your-password}",
                adminUsername: "{your-username}",
                computerName: "myVM"
            },
            securityProfile: {
                securityType: "ConfidentialVM",
                uefiSettings: { secureBootEnabled: true, vTpmEnabled: true }
            },
            storageProfile: {
                imageReference: {
                    offer: "2019-datacenter-cvm",
                    publisher: "MicrosoftWindowsServer",
                    sku: "windows-cvm",
                    version: "17763.2183.2109130127"
                },
                osDisk: {
                    name: "myVMosdisk",
                    caching: "ReadOnly",
                    createOption: "FromImage",
                    managedDisk: {
                        securityProfile: { securityEncryptionType: "DiskWithVMGuestState" },
                        storageAccountType: "StandardSSD_LRS"
                    }
                }
            }
        };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.virtualMachines.beginCreateOrUpdateAndWait(resourceGroupName, vmName, parameters);
        console.log(result);
    });
}
createAVMWithSecurityTypeConfidentialVMWithPlatformManagedKeys().catch(console.error);
//# sourceMappingURL=createAVMWithSecurityTypeConfidentialVMWithPlatformManagedKeys.js.map