/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { ComputeManagementClient } from "@azure/arm-compute";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Updates (patches) a disk.
 *
 * @summary Updates (patches) a disk.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/stable/2021-12-01/examples/CreateOrUpdateABurstingEnabledManagedDisk.json
 */
function createOrUpdateABurstingEnabledManagedDisk() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const resourceGroupName = "myResourceGroup";
        const diskName = "myDisk";
        const disk = { burstingEnabled: true, diskSizeGB: 1024 };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.disks.beginUpdateAndWait(resourceGroupName, diskName, disk);
        console.log(result);
    });
}
createOrUpdateABurstingEnabledManagedDisk().catch(console.error);
/**
 * This sample demonstrates how to Updates (patches) a disk.
 *
 * @summary Updates (patches) a disk.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/stable/2021-12-01/examples/UpdateAManagedDiskToAddAcceleratedNetworking.json
 */
function updateAManagedDiskToAddAcceleratedNetworking() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const resourceGroupName = "myResourceGroup";
        const diskName = "myDisk";
        const disk = {
            supportedCapabilities: { acceleratedNetwork: false }
        };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.disks.beginUpdateAndWait(resourceGroupName, diskName, disk);
        console.log(result);
    });
}
updateAManagedDiskToAddAcceleratedNetworking().catch(console.error);
/**
 * This sample demonstrates how to Updates (patches) a disk.
 *
 * @summary Updates (patches) a disk.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/stable/2021-12-01/examples/UpdateAManagedDiskToAddArchitecture.json
 */
function updateAManagedDiskToAddArchitecture() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const resourceGroupName = "myResourceGroup";
        const diskName = "myDisk";
        const disk = { supportedCapabilities: { architecture: "Arm64" } };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.disks.beginUpdateAndWait(resourceGroupName, diskName, disk);
        console.log(result);
    });
}
updateAManagedDiskToAddArchitecture().catch(console.error);
/**
 * This sample demonstrates how to Updates (patches) a disk.
 *
 * @summary Updates (patches) a disk.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/stable/2021-12-01/examples/UpdateAManagedDiskToAddPurchasePlan.json
 */
function updateAManagedDiskToAddPurchasePlan() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const resourceGroupName = "myResourceGroup";
        const diskName = "myDisk";
        const disk = {
            purchasePlan: {
                name: "myPurchasePlanName",
                product: "myPurchasePlanProduct",
                promotionCode: "myPurchasePlanPromotionCode",
                publisher: "myPurchasePlanPublisher"
            }
        };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.disks.beginUpdateAndWait(resourceGroupName, diskName, disk);
        console.log(result);
    });
}
updateAManagedDiskToAddPurchasePlan().catch(console.error);
/**
 * This sample demonstrates how to Updates (patches) a disk.
 *
 * @summary Updates (patches) a disk.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/stable/2021-12-01/examples/UpdateAManagedDiskToAddSupportsHibernation.json
 */
function updateAManagedDiskToAddSupportsHibernation() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const resourceGroupName = "myResourceGroup";
        const diskName = "myDisk";
        const disk = { supportsHibernation: true };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.disks.beginUpdateAndWait(resourceGroupName, diskName, disk);
        console.log(result);
    });
}
updateAManagedDiskToAddSupportsHibernation().catch(console.error);
/**
 * This sample demonstrates how to Updates (patches) a disk.
 *
 * @summary Updates (patches) a disk.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/stable/2021-12-01/examples/UpdateAManagedDiskToChangeTier.json
 */
function updateAManagedDiskToChangeTier() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const resourceGroupName = "myResourceGroup";
        const diskName = "myDisk";
        const disk = { tier: "P30" };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.disks.beginUpdateAndWait(resourceGroupName, diskName, disk);
        console.log(result);
    });
}
updateAManagedDiskToChangeTier().catch(console.error);
/**
 * This sample demonstrates how to Updates (patches) a disk.
 *
 * @summary Updates (patches) a disk.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/stable/2021-12-01/examples/UpdateAManagedDiskToDisableBursting.json
 */
function updateAManagedDiskToDisableBursting() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const resourceGroupName = "myResourceGroup";
        const diskName = "myDisk";
        const disk = { burstingEnabled: false };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.disks.beginUpdateAndWait(resourceGroupName, diskName, disk);
        console.log(result);
    });
}
updateAManagedDiskToDisableBursting().catch(console.error);
/**
 * This sample demonstrates how to Updates (patches) a disk.
 *
 * @summary Updates (patches) a disk.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/stable/2021-12-01/examples/UpdateAManagedDiskToRemoveDiskAccess.json
 */
function updateManagedDiskToRemoveDiskAccessResourceAssociation() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const resourceGroupName = "myResourceGroup";
        const diskName = "myDisk";
        const disk = { networkAccessPolicy: "AllowAll" };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.disks.beginUpdateAndWait(resourceGroupName, diskName, disk);
        console.log(result);
    });
}
updateManagedDiskToRemoveDiskAccessResourceAssociation().catch(console.error);
//# sourceMappingURL=disksUpdateSample.js.map