/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
/**
 * This sample demonstrates how to Updates (patches) a snapshot.
 *
 * @summary Updates (patches) a snapshot.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/stable/2021-08-01/examples/UpdateASnapshotWithAcceleratedNetwork.json
 */
import { ComputeManagementClient } from "@azure/arm-compute";
import { DefaultAzureCredential } from "@azure/identity";
function updateASnapshotWithAcceleratedNetworking() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const resourceGroupName = "myResourceGroup";
        const snapshotName = "mySnapshot";
        const snapshot = {
            diskSizeGB: 20,
            supportedCapabilities: { acceleratedNetwork: false },
            tags: { department: "Development", project: "UpdateSnapshots" }
        };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.snapshots.beginUpdateAndWait(resourceGroupName, snapshotName, snapshot);
        console.log(result);
    });
}
updateASnapshotWithAcceleratedNetworking().catch(console.error);
//# sourceMappingURL=updateASnapshotWithAcceleratedNetworking.js.map