/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { ComputeManagementClient } from "@azure/arm-compute";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Gets a list of virtual machine image SKUs for the specified location, edge zone, publisher, and offer.
 *
 * @summary Gets a list of virtual machine image SKUs for the specified location, edge zone, publisher, and offer.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/stable/2021-11-01/examples/compute/VirtualMachineImagesEdgeZone_ListSkus_MaximumSet_Gen.json
 */
function virtualMachineImagesEdgeZoneListSkusMaximumSetGen() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const location = "aaaaaaaaaaaa";
        const edgeZone = "aaaaa";
        const publisherName = "aaaaaaaaaaaa";
        const offer = "aaaaaaaaaaaa";
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.virtualMachineImagesEdgeZone.listSkus(location, edgeZone, publisherName, offer);
        console.log(result);
    });
}
virtualMachineImagesEdgeZoneListSkusMaximumSetGen().catch(console.error);
/**
 * This sample demonstrates how to Gets a list of virtual machine image SKUs for the specified location, edge zone, publisher, and offer.
 *
 * @summary Gets a list of virtual machine image SKUs for the specified location, edge zone, publisher, and offer.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/stable/2021-11-01/examples/compute/VirtualMachineImagesEdgeZone_ListSkus_MinimumSet_Gen.json
 */
function virtualMachineImagesEdgeZoneListSkusMinimumSetGen() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const location = "aaaaaaaaaaaaaaaaaaaa";
        const edgeZone = "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaa";
        const publisherName = "aaaaaaaaa";
        const offer = "aaaaaaaaaaaa";
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.virtualMachineImagesEdgeZone.listSkus(location, edgeZone, publisherName, offer);
        console.log(result);
    });
}
virtualMachineImagesEdgeZoneListSkusMinimumSetGen().catch(console.error);
//# sourceMappingURL=virtualMachineImagesEdgeZoneListSkusSample.js.map