import { PagedAsyncIterableIterator } from "@azure/core-paging";
import { UsageOperations } from "../operationsInterfaces";
import { ComputeManagementClient } from "../computeManagementClient";
import { Usage, UsageListOptionalParams } from "../models";
/** Class containing UsageOperations operations. */
export declare class UsageOperationsImpl implements UsageOperations {
    private readonly client;
    /**
     * Initialize a new instance of the class UsageOperations class.
     * @param client Reference to the service client
     */
    constructor(client: ComputeManagementClient);
    /**
     * Gets, for the specified location, the current compute resource usage information as well as the
     * limits for compute resources under the subscription.
     * @param location The location for which resource usage is queried.
     * @param options The options parameters.
     */
    list(location: string, options?: UsageListOptionalParams): PagedAsyncIterableIterator<Usage>;
    private listPagingPage;
    private listPagingAll;
    /**
     * Gets, for the specified location, the current compute resource usage information as well as the
     * limits for compute resources under the subscription.
     * @param location The location for which resource usage is queried.
     * @param options The options parameters.
     */
    private _list;
    /**
     * ListNext
     * @param location The location for which resource usage is queried.
     * @param nextLink The nextLink from the previous successful call to the List method.
     * @param options The options parameters.
     */
    private _listNext;
}
//# sourceMappingURL=usageOperations.d.ts.map