## API Report File for "@azure/arm-privatedns"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import * as coreAuth from '@azure/core-auth';
import * as coreClient from '@azure/core-client';
import { PagedAsyncIterableIterator } from '@azure/core-paging';
import { PollerLike } from '@azure/core-lro';
import { PollOperationState } from '@azure/core-lro';

// @public
export interface AaaaRecord {
    ipv6Address?: string;
}

// @public
export interface ARecord {
    ipv4Address?: string;
}

// @public
export interface CloudError {
    error?: CloudErrorBody;
}

// @public
export interface CloudErrorBody {
    code?: string;
    details?: CloudErrorBody[];
    message?: string;
    target?: string;
}

// @public
export interface CnameRecord {
    cname?: string;
}

// @public
export enum KnownProvisioningState {
    // (undocumented)
    Canceled = "Canceled",
    // (undocumented)
    Creating = "Creating",
    // (undocumented)
    Deleting = "Deleting",
    // (undocumented)
    Failed = "Failed",
    // (undocumented)
    Succeeded = "Succeeded",
    // (undocumented)
    Updating = "Updating"
}

// @public
export enum KnownVirtualNetworkLinkState {
    // (undocumented)
    Completed = "Completed",
    // (undocumented)
    InProgress = "InProgress"
}

// @public
export interface MxRecord {
    exchange?: string;
    preference?: number;
}

// @public (undocumented)
export class PrivateDnsManagementClient extends coreClient.ServiceClient {
    // (undocumented)
    $host: string;
    constructor(credentials: coreAuth.TokenCredential, subscriptionId: string, options?: PrivateDnsManagementClientOptionalParams);
    // (undocumented)
    apiVersion: string;
    // (undocumented)
    privateZones: PrivateZones;
    // (undocumented)
    recordSets: RecordSets;
    // (undocumented)
    subscriptionId: string;
    // (undocumented)
    virtualNetworkLinks: VirtualNetworkLinks;
}

// @public
export interface PrivateDnsManagementClientOptionalParams extends coreClient.ServiceClientOptions {
    $host?: string;
    apiVersion?: string;
    endpoint?: string;
}

// @public
export type PrivateZone = TrackedResource & {
    etag?: string;
    readonly maxNumberOfRecordSets?: number;
    readonly numberOfRecordSets?: number;
    readonly maxNumberOfVirtualNetworkLinks?: number;
    readonly numberOfVirtualNetworkLinks?: number;
    readonly maxNumberOfVirtualNetworkLinksWithRegistration?: number;
    readonly numberOfVirtualNetworkLinksWithRegistration?: number;
    readonly provisioningState?: ProvisioningState;
    readonly internalId?: string;
};

// @public
export interface PrivateZoneListResult {
    readonly nextLink?: string;
    value?: PrivateZone[];
}

// @public
export interface PrivateZones {
    beginCreateOrUpdate(resourceGroupName: string, privateZoneName: string, parameters: PrivateZone, options?: PrivateZonesCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<PrivateZonesCreateOrUpdateResponse>, PrivateZonesCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(resourceGroupName: string, privateZoneName: string, parameters: PrivateZone, options?: PrivateZonesCreateOrUpdateOptionalParams): Promise<PrivateZonesCreateOrUpdateResponse>;
    beginDelete(resourceGroupName: string, privateZoneName: string, options?: PrivateZonesDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(resourceGroupName: string, privateZoneName: string, options?: PrivateZonesDeleteOptionalParams): Promise<void>;
    beginUpdate(resourceGroupName: string, privateZoneName: string, parameters: PrivateZone, options?: PrivateZonesUpdateOptionalParams): Promise<PollerLike<PollOperationState<PrivateZonesUpdateResponse>, PrivateZonesUpdateResponse>>;
    beginUpdateAndWait(resourceGroupName: string, privateZoneName: string, parameters: PrivateZone, options?: PrivateZonesUpdateOptionalParams): Promise<PrivateZonesUpdateResponse>;
    get(resourceGroupName: string, privateZoneName: string, options?: PrivateZonesGetOptionalParams): Promise<PrivateZonesGetResponse>;
    list(options?: PrivateZonesListOptionalParams): PagedAsyncIterableIterator<PrivateZone>;
    listByResourceGroup(resourceGroupName: string, options?: PrivateZonesListByResourceGroupOptionalParams): PagedAsyncIterableIterator<PrivateZone>;
}

// @public
export interface PrivateZonesCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    ifMatch?: string;
    ifNoneMatch?: string;
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type PrivateZonesCreateOrUpdateResponse = PrivateZone;

// @public
export interface PrivateZonesDeleteOptionalParams extends coreClient.OperationOptions {
    ifMatch?: string;
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface PrivateZonesGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type PrivateZonesGetResponse = PrivateZone;

// @public
export interface PrivateZonesListByResourceGroupNextOptionalParams extends coreClient.OperationOptions {
    top?: number;
}

// @public
export type PrivateZonesListByResourceGroupNextResponse = PrivateZoneListResult;

// @public
export interface PrivateZonesListByResourceGroupOptionalParams extends coreClient.OperationOptions {
    top?: number;
}

// @public
export type PrivateZonesListByResourceGroupResponse = PrivateZoneListResult;

// @public
export interface PrivateZonesListNextOptionalParams extends coreClient.OperationOptions {
    top?: number;
}

// @public
export type PrivateZonesListNextResponse = PrivateZoneListResult;

// @public
export interface PrivateZonesListOptionalParams extends coreClient.OperationOptions {
    top?: number;
}

// @public
export type PrivateZonesListResponse = PrivateZoneListResult;

// @public
export interface PrivateZonesUpdateOptionalParams extends coreClient.OperationOptions {
    ifMatch?: string;
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type PrivateZonesUpdateResponse = PrivateZone;

// @public
export type ProvisioningState = string;

// @public
export type ProxyResource = Resource & {};

// @public
export interface PtrRecord {
    ptrdname?: string;
}

// @public
export type RecordSet = ProxyResource & {
    etag?: string;
    metadata?: {
        [propertyName: string]: string;
    };
    ttl?: number;
    readonly fqdn?: string;
    readonly isAutoRegistered?: boolean;
    aRecords?: ARecord[];
    aaaaRecords?: AaaaRecord[];
    cnameRecord?: CnameRecord;
    mxRecords?: MxRecord[];
    ptrRecords?: PtrRecord[];
    soaRecord?: SoaRecord;
    srvRecords?: SrvRecord[];
    txtRecords?: TxtRecord[];
};

// @public
export interface RecordSetListResult {
    readonly nextLink?: string;
    value?: RecordSet[];
}

// @public
export interface RecordSets {
    createOrUpdate(resourceGroupName: string, privateZoneName: string, recordType: RecordType, relativeRecordSetName: string, parameters: RecordSet, options?: RecordSetsCreateOrUpdateOptionalParams): Promise<RecordSetsCreateOrUpdateResponse>;
    delete(resourceGroupName: string, privateZoneName: string, recordType: RecordType, relativeRecordSetName: string, options?: RecordSetsDeleteOptionalParams): Promise<void>;
    get(resourceGroupName: string, privateZoneName: string, recordType: RecordType, relativeRecordSetName: string, options?: RecordSetsGetOptionalParams): Promise<RecordSetsGetResponse>;
    list(resourceGroupName: string, privateZoneName: string, options?: RecordSetsListOptionalParams): PagedAsyncIterableIterator<RecordSet>;
    listByType(resourceGroupName: string, privateZoneName: string, recordType: RecordType, options?: RecordSetsListByTypeOptionalParams): PagedAsyncIterableIterator<RecordSet>;
    update(resourceGroupName: string, privateZoneName: string, recordType: RecordType, relativeRecordSetName: string, parameters: RecordSet, options?: RecordSetsUpdateOptionalParams): Promise<RecordSetsUpdateResponse>;
}

// @public
export interface RecordSetsCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    ifMatch?: string;
    ifNoneMatch?: string;
}

// @public
export type RecordSetsCreateOrUpdateResponse = RecordSet;

// @public
export interface RecordSetsDeleteOptionalParams extends coreClient.OperationOptions {
    ifMatch?: string;
}

// @public
export interface RecordSetsGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type RecordSetsGetResponse = RecordSet;

// @public
export interface RecordSetsListByTypeNextOptionalParams extends coreClient.OperationOptions {
    recordsetnamesuffix?: string;
    top?: number;
}

// @public
export type RecordSetsListByTypeNextResponse = RecordSetListResult;

// @public
export interface RecordSetsListByTypeOptionalParams extends coreClient.OperationOptions {
    recordsetnamesuffix?: string;
    top?: number;
}

// @public
export type RecordSetsListByTypeResponse = RecordSetListResult;

// @public
export interface RecordSetsListNextOptionalParams extends coreClient.OperationOptions {
    recordsetnamesuffix?: string;
    top?: number;
}

// @public
export type RecordSetsListNextResponse = RecordSetListResult;

// @public
export interface RecordSetsListOptionalParams extends coreClient.OperationOptions {
    recordsetnamesuffix?: string;
    top?: number;
}

// @public
export type RecordSetsListResponse = RecordSetListResult;

// @public
export interface RecordSetsUpdateOptionalParams extends coreClient.OperationOptions {
    ifMatch?: string;
}

// @public
export type RecordSetsUpdateResponse = RecordSet;

// @public
export type RecordType = "A" | "AAAA" | "CNAME" | "MX" | "PTR" | "SOA" | "SRV" | "TXT";

// @public
export interface Resource {
    readonly id?: string;
    readonly name?: string;
    readonly type?: string;
}

// @public
export interface SoaRecord {
    email?: string;
    expireTime?: number;
    host?: string;
    minimumTtl?: number;
    refreshTime?: number;
    retryTime?: number;
    serialNumber?: number;
}

// @public
export interface SrvRecord {
    port?: number;
    priority?: number;
    target?: string;
    weight?: number;
}

// @public
export interface SubResource {
    id?: string;
}

// @public
export type TrackedResource = Resource & {
    tags?: {
        [propertyName: string]: string;
    };
    location?: string;
};

// @public
export interface TxtRecord {
    value?: string[];
}

// @public
export type VirtualNetworkLink = TrackedResource & {
    etag?: string;
    virtualNetwork?: SubResource;
    registrationEnabled?: boolean;
    readonly virtualNetworkLinkState?: VirtualNetworkLinkState;
    readonly provisioningState?: ProvisioningState;
};

// @public
export interface VirtualNetworkLinkListResult {
    readonly nextLink?: string;
    value?: VirtualNetworkLink[];
}

// @public
export interface VirtualNetworkLinks {
    beginCreateOrUpdate(resourceGroupName: string, privateZoneName: string, virtualNetworkLinkName: string, parameters: VirtualNetworkLink, options?: VirtualNetworkLinksCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<VirtualNetworkLinksCreateOrUpdateResponse>, VirtualNetworkLinksCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(resourceGroupName: string, privateZoneName: string, virtualNetworkLinkName: string, parameters: VirtualNetworkLink, options?: VirtualNetworkLinksCreateOrUpdateOptionalParams): Promise<VirtualNetworkLinksCreateOrUpdateResponse>;
    beginDelete(resourceGroupName: string, privateZoneName: string, virtualNetworkLinkName: string, options?: VirtualNetworkLinksDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(resourceGroupName: string, privateZoneName: string, virtualNetworkLinkName: string, options?: VirtualNetworkLinksDeleteOptionalParams): Promise<void>;
    beginUpdate(resourceGroupName: string, privateZoneName: string, virtualNetworkLinkName: string, parameters: VirtualNetworkLink, options?: VirtualNetworkLinksUpdateOptionalParams): Promise<PollerLike<PollOperationState<VirtualNetworkLinksUpdateResponse>, VirtualNetworkLinksUpdateResponse>>;
    beginUpdateAndWait(resourceGroupName: string, privateZoneName: string, virtualNetworkLinkName: string, parameters: VirtualNetworkLink, options?: VirtualNetworkLinksUpdateOptionalParams): Promise<VirtualNetworkLinksUpdateResponse>;
    get(resourceGroupName: string, privateZoneName: string, virtualNetworkLinkName: string, options?: VirtualNetworkLinksGetOptionalParams): Promise<VirtualNetworkLinksGetResponse>;
    list(resourceGroupName: string, privateZoneName: string, options?: VirtualNetworkLinksListOptionalParams): PagedAsyncIterableIterator<VirtualNetworkLink>;
}

// @public
export interface VirtualNetworkLinksCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    ifMatch?: string;
    ifNoneMatch?: string;
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type VirtualNetworkLinksCreateOrUpdateResponse = VirtualNetworkLink;

// @public
export interface VirtualNetworkLinksDeleteOptionalParams extends coreClient.OperationOptions {
    ifMatch?: string;
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface VirtualNetworkLinksGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type VirtualNetworkLinksGetResponse = VirtualNetworkLink;

// @public
export interface VirtualNetworkLinksListNextOptionalParams extends coreClient.OperationOptions {
    top?: number;
}

// @public
export type VirtualNetworkLinksListNextResponse = VirtualNetworkLinkListResult;

// @public
export interface VirtualNetworkLinksListOptionalParams extends coreClient.OperationOptions {
    top?: number;
}

// @public
export type VirtualNetworkLinksListResponse = VirtualNetworkLinkListResult;

// @public
export type VirtualNetworkLinkState = string;

// @public
export interface VirtualNetworkLinksUpdateOptionalParams extends coreClient.OperationOptions {
    ifMatch?: string;
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type VirtualNetworkLinksUpdateResponse = VirtualNetworkLink;

// (No @packageDocumentation comment for this package)

```
